Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.decoy.get({
id: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/decoys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/decoys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/decoys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"decoy": {
"annotations": {},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"materialFingerprintSha256": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Decoy
Get
Get returns a decoy by id.
GET
/
api
/
v1
/
decoys
/
{id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.decoy.get({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Response
200 - application/json
Successful response
The DecoyServiceGetResponse message.
Decoy is the read projection of a planted honey-credential. All fields except annotations are server-managed.
Show child attributes
Show child attributes
Was this page helpful?
⌘I